Show / Hide Table of Contents

# Class MapLinkPayload

##### Inheritance

System.Object
Payload
MapLinkPayload

##### Inherited Members

Payload.Process(BinaryReader)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32, Boolean, Boolean)
Payload.GetMarkerForPackedIntegerBytes(Byte[])
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32, Boolean)
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class MapLinkPayload : Payload

### Properties

| Improve this Doc View Source

#### MapId

##### Declaration

    public uint MapId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RawX

##### Declaration

    public uint RawX { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RawY

##### Declaration

    public uint RawY { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Territory

##### Declaration

    public string Territory { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### TerritoryTypeId

##### Declaration

    public uint TerritoryTypeId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type
| Improve this Doc View Source

#### XCoord

##### Declaration

    public float XCoord { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### YCoord

##### Declaration

    public float YCoord { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Zone

##### Declaration

    public string Zone { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Encode()

##### Declaration

    public override byte[] Encode()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.Encode()
| Improve this Doc View Source

#### GetMarkerForIntegerBytes(Byte[])

##### Declaration

    protected override byte GetMarkerForIntegerBytes(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes |

##### Returns

Type | Description
--- | ---
System.Byte |

##### Overrides

Payload.GetMarkerForIntegerBytes(Byte[])
| Improve this Doc View Source

#### ProcessChunkImpl(BinaryReader, Int64)

##### Declaration

    protected override void ProcessChunkImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.ProcessChunkImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### Resolve()

##### Declaration

    public override void Resolve()

##### Overrides

Payload.Resolve()